# Uses of Interface
org.gitana.platform.client.deletion.Deletion

Packages that use Deletion
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.deletion
org.gitana.platform.client.support

## Uses of Deletion in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch that return Deletion
Modifier and Type
Method
Description
`Deletion`
Branch.`readDeletion(String nodeId)`
Reads a deletion by node ID.
`Deletion`
BranchImpl.`readDeletion(String nodeId)`
Methods in org.gitana.platform.client.branch that return types with arguments of type Deletion
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Deletion>`
Branch.`queryDeletions(com.fasterxml.jackson.databind.node.ObjectNode query)`
Queries for deletions.
`org.gitana.platform.support.ResultMap<Deletion>`
Branch.`queryDeletions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Queries for deletions.
`org.gitana.platform.support.ResultMap<Deletion>`
BranchImpl.`queryDeletions(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Deletion>`
BranchImpl.`queryDeletions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Deletion in org.gitana.platform.client.deletion

Classes in org.gitana.platform.client.deletion that implement Deletion
Modifier and Type
Class
Description
`class`
`DeletionImpl`
Deletion

## Uses of Deletion in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Deletion
Modifier and Type
Method
Description
`Deletion`
ObjectFactory.`deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Deletion`
ObjectFactory.`deletion(Branch branch, Response response)`
`Deletion`
ObjectFactoryImpl.`deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Deletion`
ObjectFactoryImpl.`deletion(Branch branch, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Deletion
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Deletion>`
ObjectFactory.`deletions(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Deletion>`
ObjectFactoryImpl.`deletions(Branch branch, Response response)`